close

[Solved] Can’t install laravel installer via composer

Hello Guys, How are you all? Hope You all Are Fine. Today I get the following error Can’t install laravel installer via composer in php. So Here I am Explain to you all the possible solutions here.

Without wasting your time, Let’s start This Article to Solve This Error.

How Can’t install laravel installer via composer Error Occurs?

Today I get the following error Can’t install laravel installer via composer in php.

How To Solve Can’t install laravel installer via composer Error ?

  1. How To Solve Can't install laravel installer via composer Error ?

    To Solve Can't install laravel installer via composer Error For Ubuntu 16.04, I have used this command for PHP7.2 and it worked for me.
    sudo apt-get install php7.2-zip

  2. Can't install laravel installer via composer

    To Solve Can't install laravel installer via composer Error For Ubuntu 16.04, I have used this command for PHP7.2 and it worked for me.
    sudo apt-get install php7.2-zip

Solution 1

It says that it requires zip extension

laravel/installer v1.4.0 requires ext-zip…

Install using (to install the default version):

sudo apt install php-zip

Or, if you’re running a specific version of PHP:

# For php v7.0
sudo apt-get install php7.0-zip

# For php v7.1
sudo apt-get install php7.1-zip

# For php v7.2
sudo apt-get install php7.2-zip

# For php v7.3
sudo apt-get install php7.3-zip

# For php v7.4
sudo apt-get install php7.4-zip

Solution 2

For Ubuntu 16.04, I have used this command for PHP7.2 and it worked for me.

sudo apt-get install php7.2-zip

Summery

It’s all About this issue. Hope all solution helped you a lot. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you? Thank You.

Also, Read